# key

Specifies the key used to generate the HMAC.

This parameter applies to mmrfc5424addhmac.

Name:

  key

Scope:

  action

Type:

  string

Default:

  none

Required?:

  yes

Introduced:

  7.5.6

## Description

The key to be used to generate the HMAC. In production, this should be a cryptographically strong and secret key.

## Action usage

    action(type="mmrfc5424addhmac" key="a-long-and-very-secret-key-phrase")

## See also

See also mmrfc5424addhmac.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.